:root {
    --main-yellow: #f5c000;
    --main-very-light-yellow: #fff1c5;
    --main-light-blue: #00AEEF;
    --main-very-light-blue: #d3f3ff;
    --main-dark-blue: #263652;
    --main-light-orange: #EA6000;
    --main-lighter-orange: #ff852e;
    --main-very-light-orange: #ffb077;
    --main-very-light-green: #daffd6;
    --main-light-green: #92e68b;
    --main-medium-green: #7ec777;
    --main-black: #1C1B1B;
    --very-light-gray: #eeeeee;
    --light-gray: #d8d8d8;
    --dark-gray: #4f4c4d;
}

* {
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}

body {
    margin: 0;
    padding: 0;
    font-family: 'Poppins', Helvetica, Arial, Lucida, sans-serif;
    -webkit-font-smoothing: antialiased;
}

body.no-scroll {
    overflow: hidden;
}

.section {
    min-height: 100vh;
    padding: 1rem;
    padding-top: 3rem;
    padding-bottom: 3rem;
}

a {
    text-decoration: none;
    color: #ffffff;
    margin: 0;
    padding: 0;
}

h1 {
    font-size: 3rem;
}

h2 {
    font-size: 2rem;
}

#navbar {
    width: 100%;
    height: 4.5rem;
    font-weight: 500;
    display: flex;
    flex-direction: row;
    padding: 0.5rem 0;
    margin: 0;
    color: white;
    background: none;
    box-shadow: inset 0 40px 40px -40px rgba(0,0,0,1);
    position: absolute;
    top: 0;
    left: 0;
    align-items: center;
    justify-content: space-between;
    transition: top 0.5s;
    z-index: 4;
    transition: all 0.4s ease-in-out;
}

#navbar.active {
    background: var(--main-dark-blue) !important;
}



nav #nav-links {
    color: #ffffff;
    display: flex;
    gap: 1rem;
    margin: 0;
    padding: 0;
    z-index: 4;
}

#nav-links .link:hover, .dropdown-link:hover {
    color: var(--main-yellow);
}

nav a {
    text-decoration: none;
    color: #ffffff;
    transition: color 0.25s;
    padding: 0;
    margin: 0;
}

.dropdown .caron {
    transition: color 0.25s;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 0.5rem;
}

.dropdown .link i {
    font-size: 0.75rem;
}

nav .dropdown {
    position: relative;
}

nav .dropdown-menu {
    position: absolute;
    left: 0;
    top: calc(100% + 1rem);
    background: rgba(38, 54, 82, 1);
    border-radius: 5px;
    padding: 0.75rem;
    box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.1);
    opacity: 0;
    pointer-events: none;
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    transform: translateY(-10px);
    transition: opacity 150ms ease-in-out, transform 150ms ease-in-out;
    width: 10.2rem;
}

.dropdown.active > .link + .dropdown-menu {
    opacity: 1;
    transform: translateY(0);
    pointer-events: auto;
}

#nav-logo-wrapper {
    padding: 0;
    margin-left: 2rem;
    height: 100%;
    width: 12rem;
}

#nav-logo-wrapper img{
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.hamburger {
    z-index: 4;
    cursor: pointer;
    margin-right: 2.5rem;
    display: block;
}

.hamburger.active .bar:nth-child(2) {
    opacity: 0;
}

.hamburger.active .bar:nth-child(1) {
    transform: translateY(8px) rotate(45deg);
}

.hamburger.active .bar:nth-child(3) {
    transform: translateY(-8px) rotate(-45deg);
}

.bar {
    display: block;
    width: 1.6rem;
    height: 3px;
    margin: 5px 0;
    transition: all 0.3s ease;
    background-color: white;
}

.nav-right {
    display: flex;
    flex-direction: row;
    gap: 2rem;
    align-items: center;
    z-index: 3;
}

#nav-screen {
    opacity: 0;
    visibility: hidden;
    pointer-events: none;
    position: fixed;
    height: 100vh;
    width: 100%;
    left: 0;
    top: -5rem;
    background: var(--main-dark-blue);
    user-select: none;
    z-index: 3;
    transition: all 0.3s ease-in-out;
    color: white;
}

#nav-screen.active {
    opacity: 1;
    top: 0;
    user-select: auto;
    visibility: visible;
    pointer-events: all;
}

#nav-screen .wrapper{
    height: 100%; padding: 0rem 3rem 0rem 3rem; 
    display: flex; 
    flex-direction: row; 
    gap: 3rem ; 
    align-items: center; 
    justify-content: space-between;
    overflow: scroll;
}

.nav-event {
    height: 100%; 
    width: 50%; 
    padding: 6rem 0 2rem 0;
}

.nav-event-img {
    object-fit: cover;
    height: 100%;
    width: 100%;
}

.nav-socials {
    font-size: 1.1rem;
}

.nav-socials a:hover {
    color: var(--main-light-blue);
}

.nav-sec {
    display: flex; 
    flex-direction: column; 
    gap: 1rem;
    width: 50%; 
    padding: 6rem 0 2rem 0;
}

.navbar-options {
    height: 30%;
    width: 100%;
    border-radius: 10px; 
    padding: 1rem;
    background: var(--main-black);
    display: none;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(2, 1fr);
    gap: 8px;
}

.navbar-options a {
    color: inherit;
    display: flex;
    text-align: center;
    justify-content: center;
    padding-top: 1rem;
}

.navbar-options a:hover {
    text-decoration: underline;
    color: var(--main-yellow);
}

.nav-connect {
    height: 50%; 
    width: 100%; 
    border-radius: 10px; 
    padding: 1rem;
    background: rgb(246,204,69);
    background: linear-gradient(132deg, rgba(246,204,69,1) 20%, rgba(52,191,237,1) 69%, rgba(41,190,246,1) 91%, rgba(115,213,200,1) 100%);
}

.nav-connect div {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(2, 1fr);
    gap: 8px;
    height: 100%;
}

.nav-connect a {
    display: flex;
    text-align: center;
    justify-content: center;
}

/*
.nav-connect a:last-child {
    grid-column: span 3 / span 3;
}
*/

.nav-connect a:hover {
    text-decoration: underline;
}

.nav-prayer {
    height: 50%; 
    border-radius: 10px; 
    padding: 1rem;
    background: rgb(123,213,115);
    background: linear-gradient(319deg, rgba(123,213,115,1) 0%, rgba(41,190,246,1) 59%, rgba(238,178,42,1) 100%);
}

.prayer-req-button {
    font-family: "Poppins";
    font-size: 0.9rem;
    background: var(--main-dark-blue);
    color: white;
    letter-spacing: 2px;
    border: none;
    border-radius: 5px;
    padding: 0.7rem;
    cursor: pointer;
    transition: all 0.3s ease-in-out;
}

.prayer-req-button:hover {
    background: var(--main-light-orange);
    color: var(--main-black);
    transform: scale(1.05);
    box-shadow: 0 0 12px rgba(234, 98, 0, 0.5);
}

/* top of page btn */
#topPageBtn {
    position: fixed;
    height: 3rem;
    width: 3rem;
    bottom: -50px;
    right: 30px;
    z-index: 2;
    border: none;
    outline: none;
    background-color: var(--main-light-blue);
    color: white;
    cursor: pointer;
    border-radius: 10px;
    font-size: 18px;
    transition: all 0.25s;
}

#topPageBtn:hover {
    background: var(--main-yellow);
    transform: scale(1.15);
}

/* footer */
footer {
    background: var(--main-dark-blue);
    color: white;
    margin: 0;
    padding: 1rem;
}

footer i {
    color: var(--main-light-blue);
}

#map {
    width: 100%;
}

#map iframe {
    width: 100%;
}

footer .container {
    display: flex;
    margin-top: 2rem;
    margin-bottom: 4rem;
    text-align: center;
}

.footer-section {
    width: 25%;
    height: 19rem;
    padding: 1rem;
}

#contact {
    display: flex;
    flex-direction: column;
    gap: 1.25rem;
}

#contact p {
    margin: 0;
}

.footer-icon {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 0.5rem;
}

.footer-links {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    height: 80%;
    align-items: center;
    justify-content: space-evenly;
}

.footer-links a:hover {
    color: var(--main-yellow);
    text-decoration: underline;
}

.address-contact {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 1rem;
}

.footer-address {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    text-align: center;
} 

.footer-contact {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
}

#footer-about {
    border-left: 1px solid var(--main-yellow);
}

.footer-about-links :hover {
    color: var(--main-yellow);
    text-decoration: underline;
}

#footer-social {
    border-left: 1px solid var(--main-yellow);
}

.footer-social p {
margin: 0;
}

#footer-give {
    border-left: 1px solid var(--main-yellow);
}

.footer-bottom {
    width: 100%;
    height: 5rem;
    border-top: 1px solid var(--dark-gray);
    color: var(--light-gray);
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    font-weight: 200;
}

.footer-bottom a {
    color: inherit;
}

.footer-bottom a:hover {
    text-decoration: underline;
}

@media screen and (max-width: 915px) {
    html {
        font-size: 90%;
    }
    
    .nav-right {
        gap: 1rem;
    }
}

@media screen and (max-width: 800px) {
    html {
        font-size: 80%;
    }
}

@media screen and (max-width: 720px) {
    nav #nav-links {
        display: none;
    }

    .navbar-options {
        display: grid;
    }

    .nav-connect {
        height: 40%;
    }

    .nav-prayer {
        height: 30%;
    }

    #nav-screen .wrapper {
        flex-direction: column;
    }

    .nav-event {
        display: none;
    }

    .nav-sec {
        width: 75%;
    }
}

@media screen and (max-width: 660px) {
    footer .container {
        margin-bottom: 6rem;
    }
}

@media screen and (max-width: 590px) {
    footer .container {
        flex-direction: column;
        margin-bottom: 2rem;
    }

    .footer-section {
        width: 100%;
        height: 15rem;
    }
    
    #contact {
        border-bottom: 1px solid var(--main-yellow);
    }

    .address-contact {
        flex-direction: row;
    }

    .footer-address {
        width: 50%;
    }

    #footer-about {
        border-left: none;
        border-bottom: 1px solid var(--main-yellow);
    }

    #footer-social {
        border-left: none;
        border-bottom: 1px solid var(--main-yellow);
    }

    .footer-links {
        flex-direction: row;
    }

    #footer-give {
        border-left: none;
    }
}

@media screen and (max-width: 530px) {
    .nav-sec {
        width: 95%;
    }
}

@media screen and (max-width: 450px) {
    #nav-screen .wrapper {
        padding: 0 2rem 0 2rem;
    }

    .nav-sec {
        width: 100%;
        padding: 5rem 0 1rem 0;
    }

    .navbar-options {
        grid-template-columns: repeat(2, 1fr);
        grid-template-rows: repeat(4, 1fr);
    }

    .navbar-options a:last-child {
        grid-column: span 2;
    }

    .nav-connect h3 {
        margin: 0;
    }

    .nav-connect div {
        grid-template-columns: repeat(2, 1fr);
        grid-template-rows: repeat(3, 1fr);
    }

    /*
    .nav-connect a:last-child {
        grid-column: span 2 / span 2;
    }
    */

    #topPageBtn {
        height: 3.5rem;
        width: 3.5rem;
        font-size: 1.5rem;
    }
}